libaunit (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:25:45 +0100

libaunit (24.0.0-1) experimental; urgency=medium

  * New upstream release, requiring python3-sphinx-rtd-theme.
  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Improve readability of debian/rules.
  * Simplify adapt_projects.diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 Dec 2023 00:02:30 +0000

libaunit (23.0.0-3) unstable; urgency=medium

  * Break/Replace libaunit*-dev since oldstable. Closes: #1034934.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 22:30:19 +0200

libaunit (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:11:06 +0100

libaunit (23.0.0-1) experimental; urgency=medium

  * Build with unicode 15. No -dev renamings in experimental.
  * New upstream version (unchanged from previous snapshot).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Nov 2022 12:16:46 +0000

libaunit (23~20220908-3) experimental; urgency=medium

  * Build new snapshot with gcc/12 for experimental.
    Rename -dev package accordingly.
  * Install with gprinstall and dh-ada-library/8.1.
  * Stop build-depending on the unversioned gnat.
  * Standards-Version 4.6.1
  * Disable parallelism in 'make doc' (it is enabled in sphinx).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 14 Sep 2022 14:41:42 +0000

libaunit (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:48:16 +0200

libaunit (22.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-11 in experimental.
    Rename -dev and library packages accordingly.
  * Drop obsolete version restriction in build-dependencies.
  * Build-Depend: tex-gyre. Closes: #997445.
  * Standards-Version: 4.6.0.
  * Add missing copyright stanza for sphinx.sty.
  * Use unversioned debian_packaging.mk from gnat package.
  * Add upstream metadata.
  * uscan: remove unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 22 Mar 2022 12:36:57 +0000

libaunit (21.0.0.fa386849-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:00:47 +0100

libaunit (21.0.0.fa386849-1) experimental; urgency=medium

  * New upstream snapshot (no ALI/SO bump in experimental).
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Upstream removes invariant sections from GFDL-1.3+.
    Add a Debian -doc package for the user guide and move examples there.
    New patches: doc-conf-python3, doc-conf-sphinx4, clean-doc.diff.
  * tests: check installed examples instead of using source tree.
  * Upstream recommends to watch github instead of the community website.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 19 Oct 2020 23:36:00 +0000

libaunit (20-1) experimental; urgency=medium

  * New upstream release built with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13.
  * Drop obsolete Pre-Depends.
  * Prevent a warning on stderr during autopkgtests.
  * Replace user_gpr_args.diff with a simple workaround.
  * Pass build flags via the environment.
  * Call make via dh_auto_build, with options like -j2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 22 May 2020 14:11:30 +0000

libaunit (19-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Let rules only include the needed dpkg-dev snippet.
  * Drop redundant branch from Vcs-Git.
  * Standards-Versions: 4.5.0.
  * Wrap and sort dependencies. Use Debhelper 12 dh-sequence syntax.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 11:22:20 +0100

libaunit (19-2) experimental; urgency=medium

  * Build-Depend: gnat-9. Closes: #939621. Then 19-dev Depends: gnat-9 as
    18-dev on gnat-8. Each compiler conflicts with previous versions of
    itself exactly in order to prevent coinstallations of -dev versions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Sep 2019 01:45:07 +0200

libaunit (19-1) experimental; urgency=medium

  * New upstream release, built in experimental with gnat-9.
    Rename library and -dev package accordingly.
  * Move VCS to salsa.debian.org.
  * Debhelper 12. Examples are not compressed anymore.
  * Standards-Version: 4.4.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 Sep 2019 21:41:19 +0200

libaunit (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:51 +0200

libaunit (18-1) experimental; urgency=medium

  * New upstream release. No package renaming in experimental.
  * Generalize patch for shared library and build flags.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 9 Jun 2018 14:54:38 +0200

libaunit (17.2017-3) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev packages per Debian Ada policy.
  * Remove watch file. Explain why in README.source.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Standards-Version 4.1.4.
  * Update Homepage and Vcs-Mtn.
  * Stop repeating upstream URL in copyright file.
  * Let run time test produce more debug information.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 13:34:50 +0200

libaunit (17.2017-2) unstable; urgency=medium

  * Upload to unstable. Rename packages with new shared object version
    (runtime) and .ali version (-dev) as described in Ada policy.
  * Drop explicit rules targets confusing dh.
  * Drop Recommends: removed -doc package.
  * Standards-Version: 4.0.1. Priority: optional.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 16:54:05 +0200

libaunit (17.2017-1) experimental; urgency=medium

  * New upstream release built with gnat-7. No ALI/SO bump in experimental.
    Drop -doc package, documentation is under GFDL with Front-Cover Texts.
  * Debhelper 10.
  * Standards-Version 4.0.0. HTTPS copyright format URL.
  * watch: fix package name, use version 4 syntax.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 06 Jul 2017 16:46:20 +0200

libaunit (3.7.2-1) unstable; urgency=medium

  * New upstream release (GPL-2015, betwwen 3.7.1 and 3.8.0).
    Rename lib (SO=3.7.2) and -dev (ALI=3.7.2) packages due to Ada policy.
    Build with gnat-6, gprbuild and all hardening options.
  * watch, README.source: use Adacore redirector.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Standards-Version: 3.9.8 (no changes), drop generated XS-Testsuite.
  * rules: avoid timezone dependency when possible.
  * patches/path_doc_gps_plugin.diff: typo in package name.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 08:32:42 +0200

libaunit (3.7.1-2) unstable; urgency=medium

  * For reproducible PDF timestamps, set clock to the date of this entry.
    Touch generated sources for deterministic ALI files and tar headers.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 16:49:18 +0200

libaunit (3.7.1-1) unstable; urgency=medium

  * New upstream release, built with gnat-4.9 (closes:  #748998, #755078).
    Per Ada policy, rename lib (ABI) and -dev (sources) packages.
  * Because the generated doc is big, use Files-Excluded.
    Because it and examples are -indep, add a -doc package.
  * copyright: update to GPL-3+, repackage without generated files.
  * rules: run-tests target is obsoleted by sadt from devscripts.
    Now using upstream build system with a few patches.
  * doc-base registration. Install all formats and examples.
  * examples: deduplicate, link from doc, run as tests.
    Some of them and upstream-tests freeze, commented.
  * Fix dh_compress override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 18 Aug 2014 16:39:25 +0200

libaunit (1.03-8) unstable; urgency=low

  * Adopting the package. Closes: #673752.
  * Switch to debhelper 9, dpkg-dev and dh-ada-library helpers.
  * Build-Depends: gnat in addition to gnat-4.6 to ensure default compiler.
  * Standards-Version: 3.9.5. Vcs-*: correct field names.
  * Stop depending on inexistant ada-compiler virtual package.
  * Mark lib and -dev packages as Multiarch: same.
  * copyright: update, machine-readable format 1.0.
  * Move runtime tests to debian/tests. XS-Testsuite field accordingly.
  * rules: inherit hardening flags. Do not compress examples. Implement clean.
  * source.lintian overrides: -lib does Depend on -dbg.
  * Empty but informative watch file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Nov 2013 22:30:03 +0100

libaunit (1.03-7) unstable; urgency=low

  * upgrade to build with gnat-4.6; bump aliversion

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Tue, 12 Jul 2011 18:34:15 -0400

libaunit (1.03-6) unstable; urgency=low

  * debian/compat: bump to 7

  * debian/control: add gnat, ada-compiler per Debian Ada Policy.

  * debian/source/format: switch to 3.0 (quilt)

  * debian/rules: don't install GPS plug-in aunit.xml; it's wrong.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Tue, 15 Jun 2010 03:31:31 -0400

libaunit (1.03-5) unstable; urgency=low

  [Stephen Leake]
  * debian/control (Standards-Version): update to 3.8.4
    (Architecture): change to 'any', to match gnat-4.4. Closes: #568438

  [Ludovic Brenta]
  * debian/control (DM-Upload-Allowed): new.   (Uploaders): remove myself.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 14 Feb 2010 08:23:32 -0500

libaunit (1.03-4) unstable; urgency=low

  [Stephen Leake]
  * Change -dev package name to reflect the change in .ali files (see
    extensive discussion at
    http://people.debian.org/~lbrenta/debian-ada-policy.html):
    - libaunit-dev -> libaunit1-dev
  * NEW package libaunit-dbg
  * Migrate to gnat-4.4 and change the soname to libaunit3.
  * Update Standards-Version to 3.8.3 with no changes.
  * debian/control (Architecture): add kfreebsd-amd64.  Closes: #542414.
    (Vcs-Mtn, Vcs-Browse): new.
    (Maintainer): new maintainer Stephen Leake.
    (Uploaders): add Ludovic Brenta as the sponsor.
    (Suggests): new
    (Conflicts, Replaces): new
  * debian/test_installed.sh: New, for running tests against installed
    package.

  [Ludovic Brenta]
  * debian/control (Depends): add ${misc:Depends}, required by debhelper.
    (Architectures): disable alpha due to http://gcc.gnu.org/PR42073.
  * debian/aunit_ref.gpr: s/Object_Dir/Library_ALI_Dir/.
  * debian/aunit_build.gpr: build without -fstack-check.
    Eric Botcazou says: "-fstack-check is broken with GCC 4.4 on x86/x86-64
    Linux, it generates code that will easily segfault"
    (http://gcc.gnu.org/PR20548).

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 19 Nov 2009 23:46:01 +0100

libaunit (1.03-3) unstable; urgency=low

  * Migrate to gnat-4.3 and change the soname to libaunit2.
  * Update Standards-Version to 3.8.0 with no changes.
  * Add support for mips, mipsel and ppc64.
  * Transform aunit.gpr into a library project file.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 24 Jul 2008 20:56:02 +0200

libaunit (1.03-2) unstable; urgency=low

  * debian/control (Maintainer): use my Debian email address.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon, 18 Sep 2006 23:09:04 +0200

libaunit (1.03-1) unstable; urgency=low

  * New upstream release.
  * Compile with GCC 4.1; new ABI.
  * debian/control (Maintainer): new email address, I'm now a full DD.
    (Upoloaders): remove.
    (Build-Depends): gnat (>= 4.1).
    (Standards-Version): bump to 3.7.2 with no changes required.
    (libaunit1): rename to libaunit1.03.
    (Architecture): add alpha, amd64, hppa, ia64 and s390.
  * debian/rules: bump the soname to libaunit.so.1.03.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon, 18 Sep 2006 00:15:11 +0200

libaunit (1.01-3) unstable; urgency=low

  * debian/rules (regexp): accept any character in the Debian upload
    number.  Closes: #359880.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Fri, 31 Mar 2006 08:08:36 +0200

libaunit (1.01-2) unstable; urgency=low

  * debian/control: enable support for GNU/kFreeBSD.  Update
    standards-version from 3.6.1 to 3.6.2 with no changes.  Change
    maintainer's email address.  Add Alexander Wirt to the list of
    uploaders.
    (libaunit-dev): Depend on gnat, suggest gnat-gps.
  * debian/libaunit-dev.postinst: remove, no longer needed.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Wed,  1 Mar 2006 20:23:20 +0100

libaunit (1.01-1) unstable; urgency=low

  * Initial Release.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 24 Feb 2004 02:33:37 +0100

Local variables:
left-margin: 2
End:
